Quotes

Create Short Link for Quote

POST
/v1/quote/{productCode}/short-link

Creates a short Link for a quote.

Authorization

AuthorizationBasic <token>

Authorization header with value of Basic <auth string> where the auth string value is a base64 encoded string of <client id>:<client secret>

In: header

Path Parameters

productCode*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/quote/string/short-link" \  -H "Content-Type: application/json" \  -d '{    "property1": {},    "property2": {}  }'
{  "id": "string",  "product_code": "string",  "search_params": "string",  "url": "string",  "partner_url_identifier": "string"}
{  "id": "string",  "product_code": "string",  "search_params": "string",  "url": "string",  "partner_url_identifier": "string"}
{  "error": "string",  "error_code": "string",  "message": "string",  "reason": "string",  "status": 0}
Empty
{  "error": "string",  "error_code": "string",  "message": "string",  "reason": "string",  "status": 0}